"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const _1 = __importDefault(require("."));
describe("castArray", () => {
    it("should cast number", () => {
        const test = 1;
        chai_1.expect(_1.default(test)).to.eql([test]);
    });
    it("should cast object", () => {
        const test = {
            a: 1
        };
        chai_1.expect(_1.default(test)).to.eql([test]);
    });
    it("should cast string", () => {
        const test = "string";
        chai_1.expect(_1.default(test)).to.eql([test]);
    });
    it("should return empty array for undefined", () => {
        const test = undefined;
        chai_1.expect(_1.default(test)).to.eql([]);
    });
    it("should return empty array for null", () => {
        const test = null;
        chai_1.expect(_1.default(test)).to.eql([]);
    });
    it("should return same array", () => {
        const test = ["foo"];
        chai_1.expect(_1.default(test)).to.eql(test);
    });
});
//# sourceMappingURL=castArray.spec.js.map