"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const _1 = __importDefault(require("."));
describe("filter", () => {
    it("filter with function", () => {
        const array = [
            {
                id: 1,
                a: false
            },
            {
                id: 2,
                a: false
            },
            {
                id: 3,
                a: true
            }
        ];
        const result = _1.default(array, (item) => item.id === 2);
        chai_1.expect(result).to.eql([
            {
                id: 2,
                a: false
            }
        ]);
    });
    it("filter with string shorthand", () => {
        const array = [
            {
                id: 1,
                a: false
            },
            {
                id: 2,
                a: false
            },
            {
                id: 3,
                a: true
            }
        ];
        chai_1.expect(_1.default(array, "a")).to.eql([
            {
                id: 3,
                a: true
            }
        ]);
    });
    it("filter with object shorthand", () => {
        const array = [
            {
                id: 1,
                a: false
            },
            {
                id: 2,
                a: false
            },
            {
                id: 3,
                a: true
            },
            {
                id: 2,
                a: true,
                foobar: "bar"
            }
        ];
        const result = _1.default(array, {
            id: 2,
            a: true
        });
        chai_1.expect(result).to.eql([
            {
                id: 2,
                a: true,
                foobar: "bar"
            }
        ]);
    });
});
//# sourceMappingURL=filter.spec.js.map