"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const filterObject_1 = __importDefault(require("../_helpers/filterObject"));
const getFilterPredicate_1 = __importDefault(require("../_helpers/getFilterPredicate"));
function doFilter(collection, predicate) {
    let index = -1;
    let resIndex = 0;
    const length = collection.length;
    const result = [];
    while (++index < length) {
        const value = collection[index];
        if (predicate(value, index, collection)) {
            result[resIndex++] = value;
        }
    }
    return result;
}
function filter(collection, predicate) {
    const predicateFunc = getFilterPredicate_1.default(predicate);
    const func = Array.isArray(collection) ? doFilter : filterObject_1.default;
    return func(collection, predicateFunc);
}
exports.default = filter;
//# sourceMappingURL=index.js.map