"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const _1 = __importDefault(require("."));
describe("get", () => {
    it("should get one level", () => {
        const object = {
            foo: {
                bar: "bar"
            }
        };
        const result = _1.default(object, "foo");
        chai_1.expect(result).to.eql({
            bar: "bar"
        });
    });
    it("should get nested array value", () => {
        const object = {
            foo: [
                {
                    bar: "bar"
                }
            ]
        };
        const result = _1.default(object, "foo[0].bar");
        chai_1.expect(result).to.eql("bar");
    });
    it("should get nested object", () => {
        const object = {
            foo: {
                bar: "bar"
            }
        };
        const result = _1.default(object, "foo.bar");
        chai_1.expect(result).to.eql("bar");
    });
    it("should use fallback if doesn't exist", () => {
        const object = {
            foo: {
                bar: "bar"
            }
        };
        const result = _1.default(object, "foo.bar2", "foobar");
        chai_1.expect(result).to.eql("foobar");
    });
});
//# sourceMappingURL=get.spec.js.map