"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const _1 = __importDefault(require("."));
describe("isObject", () => {
    it("should detect an objects", () => {
        chai_1.expect(_1.default({
            foo: "bar"
        })).to.be.true;
        chai_1.expect(_1.default(/x/)).to.be.true;
        chai_1.expect(_1.default(new Error())).to.be.true;
        chai_1.expect(_1.default(new Date())).to.be.true;
    });
    it("should return false for non-objects", () => {
        const asyncFunc = async () => {
            return "foo";
        };
        chai_1.expect(_1.default(asyncFunc)).to.be.false;
        const promiseFunc = () => {
            return new Promise(resolve => {
                resolve("foo");
            });
        };
        chai_1.expect(_1.default(promiseFunc)).to.be.false;
        chai_1.expect(_1.default(() => 0)).to.be.false;
        chai_1.expect(_1.default(true)).to.be.false;
        chai_1.expect(_1.default(1)).to.be.false;
        chai_1.expect(_1.default("a")).to.be.false;
    });
});
//# sourceMappingURL=isObject.spec.js.map