"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const filter_1 = __importDefault(require("../filter"));
const getFilterPredicate_1 = __importDefault(require("../_helpers/getFilterPredicate"));
const filterObject_1 = __importDefault(require("../_helpers/filterObject"));
function negate(predicate) {
    return (func) => {
        return !predicate(func);
    };
}
function reject(collection, predicate) {
    const predicateFunc = getFilterPredicate_1.default(predicate);
    const func = Array.isArray(collection) ? filter_1.default : filterObject_1.default;
    return func(collection, negate(predicateFunc));
}
exports.default = reject;
//# sourceMappingURL=index.js.map